(** Raised whenever Sqlite returns an error *)
exception Sqlite_error of Sqlite3.Rc.t * string

(** Raised when the code of an already applied migration differs from
    the code given in the current invocation *)
exception Codes_differ of int * string * string

(** Raised when fetching migration's code from db returns null or
    other non-text result *)
exception Corrupted_migration_entry of int

(** Raised when [From_sql] conversion could not be performed *)
exception Conversion_failed of (string * Sqlite3.Data.t) array
